coder:
{% if k8s_coder_tls_enabled %}
  tls:
    secretNames:
      - coder-secrets
{% endif %}
  env:
    - name: CODER_BROWSER_ONLY
      value: "true"
    - name: CODER_PG_CONNECTION_URL
      valueFrom:
        secretKeyRef:
          name: coder-db-url
          key: url
    - name: CODER_ACCESS_URL
{% if k8s_coder_https %}
      value: "https://{{ k8s_coder_alt_name }}"
{% else %}
      value: "http://{{ k8s_coder_alt_name }}"
{% endif %}
{% if k8s_coder_gitlab_oidc_client_id is not none %}
    - name: CODER_OIDC_ISSUER_URL
      value: "https://gitlab.com"
    - name: CODER_OIDC_CLIENT_ID
      value: "{{ k8s_coder_gitlab_oidc_client_id }}"
    - name: CODER_OIDC_CLIENT_SECRET
      value: "{{ k8s_coder_gitlab_oidc_client_secret }}"
    - name: CODER_DISABLE_PASSWORD_AUTH
      value: "false"
    - name: CODER_OIDC_SIGN_IN_TEXT
      value: "Sign in with GitLab"
{% endif %}
  service:
    enable: true
    type: LoadBalancer
    sessionAffinity: None
{% if k8s_coder_lb_ip %}
    loadBalancerIP: " {{ k8s_coder_lb_ip }}"
{% endif %}
  ingress:
    # not possible to use a specific prefix
    enable: false

  serviceAccount:
    workspacePerms: false
